#include <iostream>
#include <set>
#include <map>
#include <algorithm>
#include <vector>
#include <string>
#include <deque>
#include <queue>
#include <cmath>
#include <iomanip>
#include <utility>
#define pb push_back
#define ll long long
#define yes cout<<"YES"<<endl;
#define no cout<<"NO"<<endl;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */
using namespace std;
// Milovan > Aleksamaster
ll mod=1e9+7;
int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	string r,t;
	cin>>r>>t;
	string a="",b="";
	if(r.size()>t.size())a=t,b=r;
	else a=r,b=t;
	while(a.size()<b.size())a='a'+a;
	string rez="";
	for(int i=0;i<a.size();i++){
		if(a[i]=='a'){
			rez+=b[i];
			continue;
		}
		if(a[i]==b[i]){
			rez+=a[i];
			rez+=a[i];
			continue;
		}
		if(a[i]>b[i])rez+=a[i];
		else rez+=b[i];
	}
	cout<<rez;
}